Package be.fgov.ehealth.aa.complextype.v1

# Class Speciality

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.Speciality

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class Speciality extends Object implements Serializable
Type of speciality.

Java class for SpecialityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SpecialityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SpecialityCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SpecialityFriendlyName" type="{urn:be:fgov:ehealth:aa:complextype:v1}NameType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Speciality()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSpecialityCode()`
  Gets the value of the specialityCode property.
  `List<NameType>`
  `getSpecialityFriendlyNames()`
  Gets the value of the specialityFriendlyNames property.
  `void`
  `setSpecialityCode(String value)`
  Sets the value of the specialityCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Speciality

    public Speciality()

- ## Method Details

  - ### getSpecialityCode

    public String getSpecialityCode()
    Gets the value of the specialityCode property.
    Returns:
      possible object is `String`

  - ### setSpecialityCode

    public void setSpecialityCode(String value)
    Sets the value of the specialityCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpecialityFriendlyNames

    public List<NameType> getSpecialityFriendlyNames()
    Gets the value of the specialityFriendlyNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the specialityFriendlyNames property.

    For example, to add a new item, do as follows:

         getSpecialityFriendlyNames().add(newItem);

    Objects of the following type(s) are allowed in the list `NameType`

    Returns:
      The value of the specialityFriendlyNames property.